# GET Strategies

## Get list of all ATM strategies

<mark style="color:green;">`GET`</mark> `/v1/api/accounts/{account}/strategies`

**Headers**

| Name          | Value              |
| ------------- | ------------------ |
| Content-Type  | `application/json` |
| Authorization | `Bearer <token>`   |

**Path Parameters**

<table><thead><tr><th width="151">Name</th><th width="117">Type</th><th width="136">Required</th><th>Description</th></tr></thead><tbody><tr><td><code>account</code></td><td>string</td><td><mark style="color:red;">Required</mark></td><td>Name of account in NT8</td></tr></tbody></table>

**Code Examples**

{% tabs %}
{% tab title="Python" %}

```python
import requests

token = 'my-secret-token'

url = "https://app.crosstrade.io/v1/api/accounts/Sim101/strategies"
headers = {
    "Authorization": f"Bearer {token}",
    "Content-Type": "application/json"
}

try:
    response = requests.get(url, headers=headers)
    print(f"Response Code: {response.status_code}, Response Text: {response.text}")
except Exception as e:
    print(f"An error occurred: {e}")

```

{% endtab %}
{% endtabs %}

***

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
    "strategies": [
        {
            "id": "334081921",
            "account": "Sim101",
            "strategyName": "AtmStrategy",
            "displayName": "crosstrade - 1",
            "position": "Long",
            "quantity": 1,
            "averagePrice": 5804.75,
            "unrealizedPnl": 0.0
        }
    ],
    "success": true
}
```

{% endtab %}

{% tab title="400" %}

```json
{
  "error": "Invalid request"
}
```

{% endtab %}
{% endtabs %}

#### WebSocket API

This request can also be made over the WebSocket API. The `account` path parameter is passed inside `args`.

```json
{
  "action": "rpc",
  "id": "my-request-id",
  "api": "ListStrategies",
  "args": {
    "account": "Sim101"
  }
}
```
